/**
 * Created by ling on 9/15/16.
 */

let options = require('../options');

exports.createClient = function (resourceName, schema) {

  function ResourceClient(account, token, baseUrl) {
    this.baseUrl = baseUrl || options.url;
    this.headers = { token };
    this.account = account;
    this.resourceName = resourceName;
    this.resourceSchema = schema;
  }

  ResourceClient.prototype.getAll = require('./getAll');
  ResourceClient.prototype.getOne = require('./getOne');
  ResourceClient.prototype.create = require('./create');
  ResourceClient.prototype.replace = require('./replace');
  ResourceClient.prototype.delete = require('./delete');

  return ResourceClient;
};
