'use strict';

/**
 * Module dependencies.
 */


let options = require('./options');

// Shared
exports.setBaseUrl = (baseUrl) => options.url = baseUrl;
exports.getBaseUrl = () => options.url;

// Resources
exports.Menu = require('./menu');
exports.Config = require('./config');
exports.Group = require('./group');
exports.User = require('./user');
exports.Membership = require('./membership');
exports.Profile = require('./profile');
